Debian Bug report logs - #571226
mini-dinstall: Fails to push .orig.tar.bz2 files to repository.

version graph

Package: mini-dinstall; Maintainer for mini-dinstall is Christoph Goehre <christoph.goehre@gmx.de>; Source for mini-dinstall is src:mini-dinstall.

Reported by: Didier Raboud <didier@raboud.com>

Date: Wed, 24 Feb 2010 13:12:05 UTC

Severity: important

Tags: patch

Found in version mini-dinstall/0.6.27

Fixed in version mini-dinstall/0.6.28

Done: Christoph Goehre <christoph.goehre@gmx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Christoph Goehre <christoph.goehre@gmx.de>:
Bug#571226; Package mini-dinstall. (Wed, 24 Feb 2010 13:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <didier@raboud.com>:
New Bug report received and forwarded. Copy sent to Christoph Goehre <christoph.goehre@gmx.de>. (Wed, 24 Feb 2010 13:12:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Didier Raboud <didier@raboud.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mini-dinstall: Fails to push .orig.tar.bz2 files to repository.
Date: Wed, 24 Feb 2010 14:05:15 +0100
Package: mini-dinstall
Version: 0.6.27
Severity: important

Hi, 

mini-dinstall seems to fail to push .orig.tar.bz2 tarballs (allowed in Debian
with 3.0 (*) source packages).

This is important, because it severely blocks the usage of mini-dinstall with
those source packages (actually, I copy the .orig.tar.bz2 by hand).

Thanks in advance and best regards, 

OdyX

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (750, 'unstable'), (700, 'testing-proposed-updates'), (700, 'testing'), (90, 'experimental'), (50, 'testing-proposed-updates'), (50, 'experimental'), (50, 'unstable'), (50, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_CH.UTF-8, LC_CTYPE=fr_CH.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages mini-dinstall depends on:
ii  apt-utils                  0.7.25.3      APT utility programs
ii  python                     2.5.4-9       An interactive high-level object-o
ii  python-apt                 0.7.93.1      Python interface to libapt-pkg
ii  python-crypto              2.0.1+dfsg1-5 cryptographic algorithms and proto
ii  python-support             1.0.6.1       automated rebuilding support for P

Versions of packages mini-dinstall recommends:
ii  gpgv                          1.4.10-2   GNU privacy guard - signature veri

Versions of packages mini-dinstall suggests:
ii  debian-keyring                2009.11.04 GnuPG (and obsolete PGP) keys of D

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Christoph Goehre <christoph.goehre@gmx.de>:
Bug#571226; Package mini-dinstall. (Thu, 25 Feb 2010 13:33:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karl Goetz <karl@kgoetz.id.au>:
Extra info received and forwarded to list. Copy sent to Christoph Goehre <christoph.goehre@gmx.de>. (Thu, 25 Feb 2010 13:33:14 GMT) Full text and rfc822 format available.

Message #10 received at 571226@bugs.debian.org (full text, mbox):

From: Karl Goetz <karl@kgoetz.id.au>
To: 571226@bugs.debian.org, Debian BTS control address <control@bugs.debian.org>
Subject: bz2 support
Date: Thu, 25 Feb 2010 22:15:44 +1030
[Message part 1 (text/plain, inline)]
tags + 571226 patch
thanks

Hi,
The attached patch should enable bz2 support. looks like the rest of
the code is in place, so it may be disabled for a technical reason.

I've not tested this btw, Just putting it here incase you want to test
it.

thanks,
kk

-- 
Karl Goetz, (Kamping_Kaiser / VK5FOSS)
Debian contributor / gNewSense Maintainer
http://www.kgoetz.id.au
No, I won't join your social networking group
[enable-bz2.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) patch. Request was from Karl Goetz <karl@kgoetz.id.au> to control@bugs.debian.org. (Thu, 25 Feb 2010 23:57:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christoph Goehre <christoph.goehre@gmx.de>:
Bug#571226; Package mini-dinstall. (Mon, 05 Apr 2010 14:18:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to Christoph Goehre <christoph.goehre@gmx.de>. (Mon, 05 Apr 2010 14:18:14 GMT) Full text and rfc822 format available.

Message #17 received at 571226@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Debian Bug Tracking System <571226@bugs.debian.org>
Cc: Karl Goetz <karl@kgoetz.id.au>, Raphael Hertzog <hertzog@debian.org>
Subject: mini-dinstall: It does not support 3.0 (quilt)
Date: Mon, 5 Apr 2010 23:03:46 +0900
Package: mini-dinstall
Version: 0.6.27
Severity: normal

This bug is more problematic than .bz2.

It tries to limit source files to these format... That's 1.0 format.

debsrc_diff_re = re.compile('([-a-z0-9+.]+)_(.+?)\.diff\.gz$')
debsrc_orig_re = re.compile('([-a-z0-9+.]+)_(.+?)\.orig\.tar\.gz$')
debsrc_native_re = re.compile('([-a-z0-9+.]+)_(.+?)\.tar\.gz$')

3.0 (quilt) format now have component and debian.tar.gz.  many of these
may be caught by debsrc_native_re rule.  But code around line 911 may
not work.

I think adding support to 3.0 format is what is needed.
  *_*.orig-component*.tar.gz
  *_*-*.debian.tar.gz.

As for file extension, it may be better to support all dpkg supports and
will supports. *.gz *.bz2 *.lzma *.xz

Osamu

PS: I was going to suggest mini-dinstall in updated maint-guide since my
brute force script in Debian reference is not smart enough.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages mini-dinstall depends on:
ii  apt-utils                     0.7.25.3   APT utility programs
ii  python                        2.5.4-9    An interactive high-level object-o
ii  python-apt                    0.7.94.2   Python interface to libapt-pkg
ii  python-crypto                 2.1.0-1    cryptographic algorithms and proto
ii  python-support                1.0.7      automated rebuilding support for P

Versions of packages mini-dinstall recommends:
ii  gpgv                          1.4.10-3   GNU privacy guard - signature veri

Versions of packages mini-dinstall suggests:
ii  debian-keyring                2009.11.04 GnuPG (and obsolete PGP) keys of D

-- no debconf information




Reply sent to Christoph Goehre <christoph.goehre@gmx.de>:
You have taken responsibility. (Sun, 30 May 2010 18:21:16 GMT) Full text and rfc822 format available.

Notification sent to Didier Raboud <didier@raboud.com>:
Bug acknowledged by developer. (Sun, 30 May 2010 18:21:16 GMT) Full text and rfc822 format available.

Message #22 received at 571226-close@bugs.debian.org (full text, mbox):

From: Christoph Goehre <christoph.goehre@gmx.de>
To: 571226-close@bugs.debian.org
Subject: Bug#571226: fixed in mini-dinstall 0.6.28
Date: Sun, 30 May 2010 18:18:00 +0000
Source: mini-dinstall
Source-Version: 0.6.28

We believe that the bug you reported is fixed in the latest version of
mini-dinstall, which is due to be installed in the Debian FTP archive:

mini-dinstall_0.6.28.dsc
  to main/m/mini-dinstall/mini-dinstall_0.6.28.dsc
mini-dinstall_0.6.28.tar.gz
  to main/m/mini-dinstall/mini-dinstall_0.6.28.tar.gz
mini-dinstall_0.6.28_all.deb
  to main/m/mini-dinstall/mini-dinstall_0.6.28_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 571226@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christoph Goehre <christoph.goehre@gmx.de> (supplier of updated mini-dinstall package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 30 May 2010 19:33:52 +0200
Source: mini-dinstall
Binary: mini-dinstall
Architecture: source all
Version: 0.6.28
Distribution: unstable
Urgency: low
Maintainer: Christoph Goehre <christoph.goehre@gmx.de>
Changed-By: Christoph Goehre <christoph.goehre@gmx.de>
Description: 
 mini-dinstall - daemon for updating Debian packages in a repository
Closes: 513847 571226 572069
Changes: 
 mini-dinstall (0.6.28) unstable; urgency=low
 .
   [ Christoph Goehre ]
   * [2793c0d] update pkg_version on clean target
   * [ffd2489] lintian: add ${misc:Depends} to mini-dinstall package
   * [4b8155e] bump up Standards-Version to 3.8.4
   * [712898e] lintian: add blank line on debian NEWS file
   * [b7c4ba8] lintian: spelling error in changelog s/incomming/incoming/
   * [3181afb] lintian: depend on debhelper >= 7
   * [d61eb9c] lintian: change Build-Depends python-dev to python
   * [bdd0029] allow to disable 'db' option in apt-ftparchive (Closes: #513847)
   * [3f611de] exit with 1 instead of backtrace by creating mini-dinstall's
     folder
   * [df7be9f] support Source format 3.0 (Closes: #571226)
   * [4b3e336] disable tweeting on default and document tweet options in
     manpage
   * [37ca547] Switch to dpkg-source 3.0 (native) format
 .
   [ Julian Andres Klode ]
   * [db1a6cd] Upgrade to the new python-apt API. (Closes: #572069)
 .
   [ Christopher R. Gabriel ]
   * [92b2b34] added twitting support (e.g. for twitter/identi.ca)
Checksums-Sha1: 
 01f74c9f270bacbc229fa38b6edd593cc7583507 987 mini-dinstall_0.6.28.dsc
 f7fe1ce67f55dfa546816cad91d4eb4de1f8eb84 48361 mini-dinstall_0.6.28.tar.gz
 fd5d42e62a031460e374afa02c767ab416ea35b1 45594 mini-dinstall_0.6.28_all.deb
Checksums-Sha256: 
 e0eec9b5e5fad776fbcb279335dc8c623b3e2517ada865aba50895591d847f2d 987 mini-dinstall_0.6.28.dsc
 24e9cab528273655c50e8746f2b7aa506839abed4a344773dc8e6dd0dcfb6a11 48361 mini-dinstall_0.6.28.tar.gz
 2ffc0e59d6cfba2917b636c7172f589144d76d3b2480070bb114b1e6e1d72f55 45594 mini-dinstall_0.6.28_all.deb
Files: 
 8154bfddef7525f4960bbd2d24a479ba 987 devel optional mini-dinstall_0.6.28.dsc
 afabecfc8e4d5c28c829ebfeb0f41dbe 48361 devel optional mini-dinstall_0.6.28.tar.gz
 f232b969a15a07c67909d821fa90b00e 45594 devel optional mini-dinstall_0.6.28_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkwCppAACgkQaT2DDHtihbfaYACcCEbAwgQK0WY8E6UKCeKaZSlE
ctMAoJNx/dH0qPmgK97iyYjwpi5UNxPC
=kKeC
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 08 Jul 2010 07:32:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 10:49:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.